KDE 4.9 PyKDE API Reference

- KDE's Python API

# HTMLTableRowElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

A row in a table. See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#edef-TR"> TR element definition in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLTableRowElement other)
| __init__ (self, DOM.Node other)
DOM.DOMString | align (self)
DOM.DOMString | bgColor (self)
DOM.HTMLCollection | cells (self)
DOM.DOMString | ch (self)
DOM.DOMString | chOff (self)
| deleteCell (self, long index)
DOM.HTMLElement | insertCell (self, long index)
long | rowIndex (self)
long | sectionRowIndex (self)
| setAlign (self, DOM.DOMString a0)
| setBgColor (self, DOM.DOMString a0)
| setCells (self, DOM.HTMLCollection a0)
| setCh (self, DOM.DOMString a0)
| setChOff (self, DOM.DOMString a0)
| setRowIndex (self, long a0)
| setSectionRowIndex (self, long a0)
| setVAlign (self, DOM.DOMString a0)
DOM.DOMString | vAlign (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLTableRowElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString align | ( |  | self ) |

Horizontal alignment of data within cells of this row. See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#adef-align-TD"> align attribute definition in HTML 4.0.

DOM.DOMString bgColor | ( |  | self ) |

Background color for rows. See the <a href="http://www.w3.org/TR/REC-html40/present/graphics.html#adef-bgcolor"> bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

DOM.HTMLCollection cells | ( |  | self ) |

The collection of cells in this row.

DOM.DOMString ch | ( |  | self ) |

Alignment character for cells in a column. See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#adef-char"> char attribute definition in HTML 4.0.

DOM.DOMString chOff | ( |  | self ) |

Offset of alignment character. See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#adef-charoff"> charoff attribute definition in HTML 4.0.

deleteCell | ( | self, |
|  | long | index
| ) |  |  |

Delete a cell from the current row.

Parameters:

  | index | The index of the cell to delete, starting from 0. If the index is -1 the last cell in the row is deleted.

Returns:

DOM.HTMLElement insertCell | ( | self, |
|  | long | index
| ) |  |  |

Insert an empty TD cell into this row. If index is -1 or equal to the number of cells, the new cell is appended.

Parameters:

  | index | The place to insert the cell.

Returns:
  The newly created cell.

long rowIndex | ( |  | self ) |

The index of this row, relative to the entire table. This is in logical order and not in document order. The rowIndex does take into account sections (THEAD, TFOOT or TBODY) within the table, placing THEAD rows first in the index, followed by TBODY rows, followed by TFOOT rows.

long sectionRowIndex | ( |  | self ) |

The index of this row, relative to the current section ( THEAD , TFOOT , or TBODY ).

setAlign | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see align

setBgColor | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see bgColor

setCells | ( | self, |
|  | DOM.HTMLCollection | a0
| ) |  |  |

see cells

This function is obsolete - the cells property is actually supposed to be read-only (http://www.w3.org/DOM/updates/REC-DOM-Level-1-19981001-errata.html)

setCh | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see ch

setChOff | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see chOff

setRowIndex | ( | self, |
|  | long | a0
| ) |  |  |

see rowIndex

This function is obsolete - the rowIndex property is actually supposed to be read-only (http://www.w3.org/DOM/updates/REC-DOM-Level-1-19981001-errata.html)

setSectionRowIndex | ( | self, |
|  | long | a0
| ) |  |  |

see sectionRowIndex

This function is obsolete - the sectionRowIndex property is actually supposed to be read-only (http://www.w3.org/DOM/updates/REC-DOM-Level-1-19981001-errata.html)

setVAlign | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see vAlign

DOM.DOMString vAlign | ( |  | self ) |

Vertical alignment of data within cells of this row. See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#adef-valign"> valign attribute definition in HTML 4.0.